std::chrono::time_point< _Clock, _Dur > Struct Template Reference
Utilities » Time

## Public Types

typedef _Clock | clock
typedef _Dur | duration
typedef duration::period | period
typedef duration::rep | rep

## Public Member Functions

constexpr | time_point (const duration &__dur)
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>>
constexpr | time_point (const time_point< clock, _Dur2 > &__t)
_GLIBCXX17_CONSTEXPR time_point & | operator+= (const duration &__dur)
_GLIBCXX17_CONSTEXPR time_point & | operator-= (const duration &__dur)
constexpr duration | time_since_epoch () const

## Static Public Member Functions

static constexpr time_point | max ()
static constexpr time_point | min ()

## Detailed Description

### template<typename _Clock, typename _Dur>
struct std::chrono::time_point< _Clock, _Dur >

time_point

Definition at line 67 of file chrono.

The documentation for this struct was generated from the following file:

- chrono